
Redmine - Defect #5923

reposman.rb do not sync the repository to the redmine's database

2010-07-21 08:28 - Riceball LEE

Status: Closed Start date: 2010-07-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

reposman.rb do not sync the repository to the redmine's database, the SCM configuration in DB is empty.

bug fixed:

(246L)

if File.directory?(repos_path)

#added by riceball

if $force == false and project.respond_to?(:repository)

log("\trepository for project #{project.identifier} already exists in Redmine", :level => 1)

next

end

if $svn_url

      begin

        project.post(:repository, :vendor => $scm, :repository => {:url => "#{$svn_url}#{project.i

dentifier}"}, :key => $api_key)

        log("\trepository #{repos_path} registered in Redmine with url #{$svn_url}#{project.identi

fier}");

      rescue => e

        log("\trepository #{repos_path} not registered in Redmine: #{e.message}");

      end

    end

History

#1 - 2010-07-21 10:56 - Felix Schäfer

I'm not sure I understand what problem you had and what your fix does. Could you please attach a diff of your file to the original file?

#2 - 2010-07-22 10:06 - Riceball LEE

- File reposman.diff added

fix the exists local repository not sync to the empty scm configuration in redmine' db.

ok here r the diff.

#3 - 2010-07-22 13:23 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Wont fix

Reposman's scope is only to create repositories for projects which don't have one yet, not to write the configuration for existing ones.

(and as an aside, your patch only tests for the existence of the directory, not if it actually is an svn directory, or maybe a git repository, and so on)

Files

reposman.diff 1.09 KB 2010-07-22 Riceball LEE
